Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665866 - dev-haskell/hdbc-mysql: Validate DEPEND on virtual/mysql
Summary: dev-haskell/hdbc-mysql: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:29 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:29:22 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2018-09-17 21:11:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ac14e8691705d7bedfe58bc78a97ba60c53a655

commit 1ac14e8691705d7bedfe58bc78a97ba60c53a655
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-09-17 21:10:00 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-09-17 21:10:22 +0000

    dev-haskell/hdbc-mysql: move off virtual/mysql, bug #665866
    
    Move off virtual/mysql to dev-db/mysql-connector-c
    as a library provider (with proper subslot).
    
    Reported-by: Brian Evans
    Closes: https://bugs.gentoo.org/665866
    Package-Manager: Portage-2.3.49, Repoman-2.3.10

 ...hdbc-mysql-0.6.6.1-r3.ebuild => hdbc-mysql-0.6.6.1-r4.ebuild} | 9 +++++----
 .../{hdbc-mysql-0.7.1.0.ebuild => hdbc-mysql-0.7.1.0-r1.ebuild}  | 6 +++---
 2 files changed, 8 insertions(+), 7 deletions(-)